RDX.RegisterOOBEObject({
context = "GLOBAL";
name = "BytCombatIcons";
title = "BytCombatIcons";
version = 7;
PreInstallScript = function()
    RDX.RegisterOOBEOption({
        name = "BytCombatIcons_install";
        text = "Install the BytCombatIcons";
        sel = true;
    });
end;
InstallCondition = function()
    return RDX.GetOOBEOptionState("BytCombatIcons_install");
end;
data = {
-- Begin RDX Data Export
-- Begin Export Data for BytCombatIcons
	["BytCombatIcons"] = {
		["infoAuthor"] = "Firieth",
		["infoAuthorEmail"] = "",
		["infoAuthorWebSite"] = "",
		["autoexec"] = {
			["ty"] = "Script",
			["version"] = 1,
			["data"] = {
				["script"] = "RDX.RegisterFeature({\n  name = \"var_spellTimerinfo\";\n  title = i18n(\"Vars: Byt Spell Info\"); category = i18n(\"Byt: Unit Status\");\n  IsPossible = function(state)\n    if not state:Slot(\"EmitPaintPreamble\") then return nil; end\n      return true;\n  end;\n  ExposeFeature = function(desc, state, errs)\n   if not desc then VFL.AddError(errs, i18n(\"Missing descriptor.\")); return nil; end\n   state:AddSlot(\"TimerVar_spellTimer\");\n   state:AddSlot(\"TexNameVar_spellTimerTexture\");\n   return true;\n  end;\n  ApplyFeature = function(desc, state)\n   local mux = state:GetContainingWindowState():GetSlotValue(\"Multiplexer\");\n   mux:Event_UnitMask(\"UNIT_CAST_TIMER_UPDATE\", \n     mux:GetPaintMask(\"CAST_TIMER_UPDATE\"));\n   mux:Event_UnitMask(\"UNIT_CAST_TIMER_STOP\", \n     mux:GetPaintMask(\"CAST_TIMER_STOP\"));        \n   state:Attach(state:Slot(\"EmitClosure\"), true, function(code) code:AppendCode([[\nlocal spellName = \"]] .. desc.spellName .. [[\";\nlocal rangeSpellName = \"]] .. desc.rangeSpellName .. [[\";\nlocal spellType = \"]] .. desc.spellType .. [[\";\nlocal spellTimer_start, spellTimer_duration, spellTimer_expiration\nlocal bBuff = (spellType == \"Buff\");\nlocal bProc = (spellType == \"Proc\");\nlocal bDebuff = (spellType == \"Debuff\")\nlocal bAttack = (spellType == \"Attack Skill\");\nlocal bDeProc = (spellType == \"DeProc\");\n\nlocal _, _, spellTimerTexture, _, _, _, _, _, _ = GetSpellInfo(spellName);\nlocal textureFound = true;\nlocal enabled = (string.len(spellName) ~= 0);\nif (spellTimerTexture == nil) then\n  spellTimerTexture = \"Interface\\\\Icons\\\\INV_Misc_QuestionMark\";\n  textureFound = false;\nend\n\nlocal activeAlpha = .1;\nlocal inactiveAlpha = .1;\nlocal alphaPlyer = .6;\nlocal onCoolDownAlpha = .1\nlocal timerAlphaDelta = .7;\nlocal timerAlphaExpireClose = 1;\nlocal timerAlphaExpireFar = .4;\n\nif bAttack or bBuff or bDebuff then\n  activeAlpha = .1;\n  inactiveAlpha = .7;\n  alphaPlyer = -.6;\nelseif bDeProc or bProc then\n  activeAlpha = .7;\n  inactiveAlpha = .1;\n  alphaPlyer = .6;  \nend\n\nlocal function convertBool(b)\n  if(b) then\n    return \"True\";\n  else\n    return \"False\";\n  end\nend\n]]); end);\n\nstate:Attach(state:Slot(\"EmitPaintPreamble\"), true, function(code) code:AppendCode([[\nlocal spellActive = false;\n--local log = spellName;\nif enabled == false then\n  frame.Tex_Icon:SetAlpha(\".1\");\n  frame.Frame_tCool:SetAlpha(\".1\");\n  return;\nend\n\nframe:EnableMouse(false);\nframe.Frame_tCool:EnableMouse(false);\n\n\nif (bBuff or bProc or bDebuff or bDeProc) then\n  local tempSpellTimerTexture = \"\"\n  if bDebuff or bDeProc then\n    _, _, tempSpellTimerTexture, _, _, spellTimer_duration, spellTimer_expiration, _, _  =  UnitDebuff(\"target\", spellName);\n  else\n    _, _, tempSpellTimerTexture, _, _, spellTimer_duration, spellTimer_expiration, _, _ = UnitBuff(\"player\", spellName);\n  end\n  if ( textureFound == false and tempSpellTimerTexture ~= nill ) then\n    spellTimerTexture = tempSpellTimerTexture;\n    texturefound = true;\n  end;\n  if(spellTimer_expiration ~= nil and spellTimer_expiration > 0) then\n    spellTimer_start = spellTimer_expiration - spellTimer_duration;\n  end  \nelse\n  spellTimer_start, spellTimer_duration, _ = GetSpellCooldown(spellName);\n--  log = log .. ' GetSpellCooldown Start: ' .. spellTimer_start .. ' Dur: ' .. spellTimer_duration;\nend\n\nlocal SpellUsable, _ = IsUsableSpell(spellName) or bProc or bDeProc;\n\nlocal SpellInRange = true;\nif (bAttack or bDebuff or bDeProc) then\n  SpellInRange = IsSpellInRange(rangeSpellName, \"target\")==1;\n--  log = log .. ' in Range: ' .. convertBool(SpellInRange);\nend\n\nspellActive = ((spellTimer_start ~= nil) and \n               (spellTimer_duration ~= nil) and \n               (spellTimer_start > 0) and \n               (spellTimer_duration > 0));\n\nif spellActive and SpellInRange and SpellUsable then\n--  log = log .. ' if active.range.usable'\n\n  local timeLeft = (spellTimer_start + spellTimer_duration - GetTime())\n--  log = log .. ' TimeLeft: ' .. timeLeft;\n  \n  if timeLeft > 1.5  then\n    frame.Tex_Icon:SetAlpha(activeAlpha); \n  else\n    frame.Tex_Icon:SetAlpha(inactiveAlpha + (alphaPlyer * (timeLeft / 1.5))); \n  end\n  if timeLeft > 4 then\n    frame.Frame_tCool:SetAlpha(timerAlphaExpireFar); \n  else\n    frame.Frame_tCool:SetAlpha(timerAlphaExpireClose); \n  end\nelse\n--  log = log .. ' Else';\n  if SpellInRange and SpellUsable then\n--    log = log .. ' range and usable ';\n    frame.Tex_Icon:SetAlpha(inactiveAlpha); \n  else\n    if (bDeProc) then\n      frame.Tex_Icon:SetAlpha(inactiveAlpha); \n    else\n      frame.Tex_Icon:SetAlpha(activeAlpha);\n    end\n  end\n  spellTimer_start = 0;\n  spellTimer_duration = 0;\n  frame.Frame_tCool:SetAlpha(timerAlphaExpireFar);\nend \n\n--DEFAULT_CHAT_FRAME:AddMessage(log);\n]]); end);\n\nend;\n\nUIFromDescriptor = function(desc, parent, state)\n  local _spellType = {\n   { text = \"Buff\"},\n   { text = \"Attack Skill\"},\n   { text = \"Debuff\"},\n   { text = \"Proc\"},\n   { text = \"DeProc\"},\n  };\nlocal function _dd_spellType() return _spellType; end\n\n  local ui = VFLUI.CompoundFrame:new(parent);\n  local sname = VFLUI.LabeledEdit:new(ui, 180);\n  sname:Show();\n  sname:SetText(i18n(\"Spell Name\"));\n  if desc and desc.spellName then sname.editBox:SetText(desc.spellName); end\n  ui:InsertFrame(sname);\n      \n  local srname = VFLUI.LabeledEdit:new(ui, 180);\n  srname:Show();\n  srname:SetText(i18n(\"Range Check\"));\n  if desc and desc.spellName then srname.editBox:SetText(desc.rangeSpellName); end\n  ui:InsertFrame(srname);\n\n-- Create spellType_DropDown object\n  local er = RDXUI.EmbedRight(ui, i18n(\"Type:\"));\n  local sType  = VFLUI.Dropdown:new(er, _dd_spellType);\n  sType:SetWidth(75);\n  sType:Show();\n    if desc and desc.spellType then \n        sType:SetSelection(desc.spellType); \n    else\n        sType:SetSelection(\"Buff\");\n    end\n  er:EmbedChild(sType); er:Show();\n  ui:InsertFrame(er);              \n  \n   function ui:GetDescriptor()\n     return { \n       feature = \"var_spellTimerinfo\";\n       spellName = sname.editBox:GetText();\n       rangeSpellName = srname.editBox:GetText();  \n       spellType = sType:GetSelection();\n     };\n   end\n  return ui;\nend;\n    \nCreateDescriptor = function() \n  return { \n    feature = \"var_spellTimerinfo\";\n    spellName  = \"\";\n    rangeSpellName = \"\";  \n    spellType = \"Buff\";\n  };\n end\n});\n\n-------------------------  Declarations -------------------\nlocal BytCombatIconsDlg;\nlocal o;\nlocal clientArea;\nlocal UIList = {};\n\nlocal _spellType = {\n    { text = \"Buff\"},\n    { text = \"Attack Skill\"},\n    { text = \"Debuff\"},\n    { text = \"Proc\"},\n    { text = \"DeProc\"},    \n};\n\nlocal function _dd_spellType() return _spellType; end\n\nlocal _packageList = {};\n    for k,_ in pairs(RDXDB.GetPackages()) do \n      table.insert(_packageList, { text = k}); \n    end\nlocal function _dd_packageList() return _packageList; end\n-------------------------  Functions ----------------------\nlocal function ShowDialog()\n  for i=1, #(UIList) do\n    for name,o in pairs(UIList[i]) do\n            o:Show();\n      end\n    end\n    BytCombatIconsDlg:Show(.2, true);\nend\n\nlocal function HideDialog()\n  for i=1, #(UIList) do\n    for name,o in pairs(UIList[i]) do\n          o:Hide();\n      end\n    end\n    BytCombatIconsDlg:Hide(.2, true);\nend\n\nlocal function GetDialogItem(testName)\n  for i=1, #(UIList) do\n    for name,o in pairs(UIList[i]) do\n            if name == testName then\n                return o;\n            end\n      end\n    end\n    return nil;\nend\n\nlocal function SetButtonSpellInfo(spellName)\n    local a, b, icon, c, d, e, f, g, h = GetSpellInfo(spellName);\n    if(icon == nil) then\n      icon = \"Interface\\\\Icons\\\\INV_Misc_QuestionMark\";\n    end\n    local o = GetDialogItem(\"spell_Icon\");\n    o:SetBackdrop({bgFile = icon, \n        edgeFile = \"Interface/Tooltips/UI-Tooltip-Border\", \n        tile = false, \n        tileSize = 50, \n        edgeSize = 16, \n        insets = { left = 4, right = 4, top = 4, bottom = 4 }});\n    o = GetDialogItem(\"spellName_Edit\");\n    o.editBox:SetText(spellName);\n    \n    o = GetDialogItem(\"saveName_Edit\");\n    o.editBox:SetText(spellName);\n    \n    o = GetDialogItem(\"rangeName_Edit\");\n    o.editBox:SetText(spellName);    \nend\n\nlocal function SpellReceived()\n    if GetCursorInfo then\n        local type, alpha, bravo = GetCursorInfo()\n        local text\n        if type == \"spell\" then\n            text = GetSpellName(alpha, bravo)\n        elseif type == \"item\" then\n            text = bravo\n        end\n        if not text then\n            return\n        end\n    ClearCursor();\n    SetButtonSpellInfo(text);\n  end\nend\n\nlocal function SpellLoad()\n  local o = GetDialogItem(\"spellName_Edit\");\n  local spellName = o.editBox:GetText(); \n  SetButtonSpellInfo(spellName);\nend\n\nlocal function UpdateFeature (path,feature,property,value)\n  local f = RDX.GetFeatureData(path, feature, nil, nil);\n  if(f == nil) then\n    return nil;\n  end\n  f[property] = value;\n  return true;\nend\n\nlocal function UpdateUnitFrame(path,spellName,spellRange,spellType)\n  if(UpdateFeature (path, \"var_spellTimerinfo\",\"spellName\",spellName)~=nil)then\n    if(UpdateFeature (path, \"var_spellTimerinfo\",\"rangeSpellName\",spellRange)~=nil)then\n      if(UpdateFeature (path, \"var_spellTimerinfo\",\"spellType\",spellType)~=nil)then\n        return true;\n      end;\n    end;\n  end;\n  return nil;\nend\n\nlocal function UpdateWindow(path,unitFramePath,unit)\n  if(UpdateFeature (path, \"UnitFrame\",\"design\",unitFramePath)~=nil)then\n    if(UpdateFeature (path, \"layout_single_unitframe\",\"unit\",unit)~=nil) then\n     return true;\n    end;\n  end;\n  return nil;\nend\n\n\nlocal function Save()\n    local o;\n    local spellName;\n    local spellRange;\n    local saveName;\n    local spellType;\n    local package;\n    local unit = \"player\";\n    \n  o = GetDialogItem(\"spellName_Edit\");\n  spellName = o.editBox:GetText();\n    \n  o = GetDialogItem(\"rangeName_Edit\");\n  spellRange = o.editBox:GetText();\n    \n  o = GetDialogItem(\"saveName_Edit\");\n  saveName = o.editBox:GetText();\n  \n  o = GetDialogItem(\"spellType_DropDown\");\n  spellType = o.GetSelection();\n\n  o = GetDialogItem(\"package_DropDown\");\n  package = o.GetSelection();  \n  \n  if(spellName == nil or string.len(spellName) == 0) then\n      VFLUI.MessageBox(\"Error!\", \"You must choose a spell before save\");\n      return;\n  end\n\n  if(saveName == nil or string.len(saveName) == 0) then\n      VFLUI.MessageBox(\"Error!\", \"Save name is blank\");\n      return;\n  end\n\n  if(spellType == nil or string.len(spellType) == 0) then\n      VFLUI.MessageBox(\"Error!\", \"Please select a spell type\");\n      return;\n  end\n\n  if(package == nil or string.len(package) == 0) then\n      VFLUI.MessageBox(\"Error!\", \"Invalid package name\");\n      return;\n  end\n   \n  if(spellType == \"Debuff\" or spellType == \"DeProc\") then\n    unit = \"target\";\n  end\n\n  local unitPath = package .. \":\" .. saveName .. \"_unitFrame\";\n  local windowPath = package .. \":\" .. saveName .. \"_window\";\n\n  local newUnit, newWindow, err;\n  local uSrc, uDest, wSrc, wDest;\n  uSrc = RDXDB.MakePath(\"BytCombatIcons\",\"TemplateUnit\");\n  uDest = RDXDB.MakePath(package,saveName .. \"_unitFrame\");\n  wSrc = RDXDB.MakePath(\"BytCombatIcons\",\"TemplateWindow\");\n  wDest = RDXDB.MakePath(package,saveName .. \"_window\");\n  \n  newUnit, err = RDXDB.Copy(uSrc, uDest, \"RENAME\");\n  if(err ~= nil)then\n    DEFAULT_CHAT_FRAME:AddMessage(err);\n  end \n  newWindow, err = RDXDB.Copy(wSrc, wDest, \"RENAME\");\n  if(err ~= nil)then\n    DEFAULT_CHAT_FRAME:AddMessage(err);\n  end \n  \n  if  \n    UpdateUnitFrame(unitPath,spellName,spellRange,spellType) == false or\n    UpdateWindow(windowPath,unitPath,unit) == false then\n       VFLUI.MessageBox(\"Error!\", \"Error updating.\");\n  end\n\nend\n\nlocal function OpenBytCombatIcons()\n------------------------- Dialog Creation -----------------\n-- Create Dialog Frame\n  BytCombatIconsDlg = VFLUI.Window:new(UIParent);\n  BytCombatIconsDlg:SetFrameStrata(\"FULLSCREEN\");\n  VFLUI.Window.SetDefaultFraming(BytCombatIconsDlg, 22);\n  BytCombatIconsDlg:SetBackdrop(VFLUI.DefaultDialogBackdrop);\n  BytCombatIconsDlg:SetPoint(\"CENTER\", UIParent, \"CENTER\");\n  BytCombatIconsDlg:SetWidth(300); \n  BytCombatIconsDlg:SetHeight(350);\n  BytCombatIconsDlg:SetTitleColor(0.855, 1, 1);\n  BytCombatIconsDlg:SetText(\"Combat Configuration\");\n  BytCombatIconsDlg:SetMovable(true); \n  VFLUI.Window.StdMove(BytCombatIconsDlg, BytCombatIconsDlg:GetTitleBar());\n  clientArea = BytCombatIconsDlg:GetClientArea();\n\n-- Create welcome1_Text object\n  o = VFLUI.CreateFontString(BytCombatIconsDlg);\n  o:SetFontObject(Fonts.Default10);\n  o:SetJustifyH(\"LEFT\");\n  o:SetJustifyV(\"CENTER\");\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 5, -10);\n  o:SetHeight(18); \n  o:SetWidth(280);\n  o:SetText(\"Welcome to the transparent combat cooldowns.\");   \n  o:Show();\n  table.insert(UIList, {[\"welcome1_Text\"] = o}); \n\n-- Create welcome2_Text object\n  o = VFLUI.CreateFontString(BytCombatIconsDlg);\n  o:SetFontObject(Fonts.Default10);\n  o:SetJustifyH(\"LEFT\");\n  o:SetJustifyV(\"CENTER\");\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 15, -20);\n  o:SetHeight(18); \n  o:SetWidth(280);\n  o:SetText(\"To begin, please drag a spell or type it in.\");   \n  o:Show();  \n  table.insert(UIList, {[\"welcome2_Text\"] = o});     \n    \n-- Create spellName_Edit object\n  o = VFLUI.LabeledEdit:new(BytCombatIconsDlg, 170);\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 5, -40);\n  o:SetWidth(230);\n  o:SetText(\"Spell Name:\");\n  o.editBox:SetText(\"\");\n  o:Show();\n  table.insert(UIList, {[\"spellName_Edit\"] = o}); \n\n-- Create spellLoad_Button object\n  o = VFLUI.Button:new(BytCombatIconsDlg, 50);\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 240, -40);\n  o:SetWidth(40);\n  o:SetHeight(23); \n  o:SetText(\"Load\");\n  o:SetScript(\"OnClick\", function() SpellLoad() end);\n  o:Show();\n  table.insert(UIList, {[\"spellLoad_Button\"] = o}); \n\n-- Create spellName_Edit object\n  o = VFLUI.LabeledEdit:new(BytCombatIconsDlg, 170);\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 5, -63);\n  o:SetWidth(230);\n  o:SetText(\"Range Name:\");\n  o.editBox:SetText(\"\");\n  o:Show();\n  table.insert(UIList, {[\"rangeName_Edit\"] = o}); \n            \n-- Create spell_Icon object\n  o = VFLUI.Button:new(BytCombatIconsDlg, 50);\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 120, -97);\n  o:SetWidth(50);\n  o:SetHeight(50); \n  o:SetText(\"Drag Spell\");\n  o:RegisterForClicks(\"LeftButtonUp\");\n  o:RegisterForDrag(\"LeftButton\");\n  o:SetScript(\"OnReceiveDrag\", function(this) SpellReceived() end)\n  o:Show();\n  table.insert(UIList, {[\"spell_Icon\"] = o}); \n\n-- Create welcome3_Text object\n  o = VFLUI.CreateFontString(BytCombatIconsDlg);\n  o:SetFontObject(Fonts.Default10);\n  o:SetJustifyH(\"LEFT\");\n  o:SetJustifyV(\"CENTER\");\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 50, -155);\n  o:SetHeight(18); \n  o:SetWidth(280);\n  o:SetText(\"Is this spell a...\");   \n  o:Show();\n  table.insert(UIList, {[\"welcome3_Text\"] = o}); \n  \n-- Create spellType_DropDown object\n  o = VFLUI.Dropdown:new(clientArea, _dd_spellType);\n  o:SetWidth(100); \n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 140, -155);\n  o:Show();\n  table.insert(UIList, {[\"spellType_DropDown\"] = o}); \n\n-- Create welcome4_Text object\n  o = VFLUI.CreateFontString(BytCombatIconsDlg);\n  o:SetFontObject(Fonts.Default);\n  o:SetJustifyH(\"CENTER\");\n  o:SetJustifyV(\"CENTER\");\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 5, -180);\n  o:SetHeight(18); \n  o:SetWidth(280);\n  o:SetText(\"Save Options\");   \n  o:Show();\n  table.insert(UIList, {[\"welcome4_Text\"] = o}); \n\n-- Create saveName_Edit object\n  o = VFLUI.LabeledEdit:new(BytCombatIconsDlg, 200);\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 5, -200);\n  o:SetWidth(280);\n  o:SetText(\"Save Name:\");\n  o.editBox:SetText(\"\");\n  o:Show();\n  table.insert(UIList, {[\"saveName_Edit\"] = o}); \n\n-- Create welcome5_Text object\n  o = VFLUI.CreateFontString(BytCombatIconsDlg);\n  o:SetFontObject(Fonts.Default10);\n  o:SetJustifyH(\"LEFT\");\n  o:SetJustifyV(\"CENTER\");\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 5, -230);\n  o:SetHeight(18); \n  o:SetWidth(280);\n  o:SetText(\"Package Name:\");   \n  o:Show();\n  table.insert(UIList, {[\"welcome5_Text\"] = o}); \n  \n-- Create package_DropDown object\n  o = VFLUI.Dropdown:new(clientArea, _dd_packageList);\n  o:SetWidth(200); \n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 85, -230);\n  o:Show();\n  table.insert(UIList, {[\"package_DropDown\"] = o}); \n          \n-- Create Save_Button object\n  o = VFLUI.Button:new(BytCombatIconsDlg, 50);\n  o:SetPoint(\"TOPLEFT\", clientArea, \"TOPLEFT\", 120, -270);\n  o:SetWidth(50);\n  o:SetHeight(30); \n  o:SetText(\"Save\");\n  o:SetScript(\"OnClick\", function() Save() end);\n  o:Show();\n  table.insert(UIList, {[\"Save_Button\"] = o}); \n\n\nlocal esch = function()\n   HideDialog();\n   VFL.ZMSchedule(.25, function()\n       BytCombatIconsDlg:Destroy(); \n       BytCombatIconsDlg = nil;\n   end);\nend\nVFL.AddEscapeHandler(esch);\n\n-- Create CloseXButton_CloseButton\n  o = VFLUI.CloseButton:new(BytCombatIconsDlg);\n  o:SetScript(\"OnClick\", function() VFL.EscapeTo(esch); end);  \n  BytCombatIconsDlg:AddButton(o);\n\nBytCombatIconsDlg.Destroy = VFL.hook(function(s)\n  for i=1, #(UIList) do\n    for name,o in pairs(UIList[i]) do\n            if string.find(name, \"Text\") or string.find(name,\"DropDown\") or string.find(name,\"Edit\") then\n              VFLUI.ReleaseRegion(o);\n            else\n                o:Destroy();\n            end\n            o = nil;\n      end\n    end\n  UIList = {};\nend\n, BytCombatIconsDlg.Destroy);\n\n  ShowDialog();\nend;\n\nRDXPM.RegisterThirdPartyMenuEntry(\"Byt Combat Icons\", nil, function() VFL.poptree:Release(); OpenBytCombatIcons(); end); ",
			},
		},
		["infoComment"] = "",
		["infoVersion"] = "1.0.0",
		["TemplateUnit"] = {
			["ty"] = "UnitFrameType",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "var_spellTimerinfo",
					["spellType"] = "Attack Skill",
					["rangeSpellName"] = "Judgement of Light",
					["spellName"] = "Consecration",
				}, -- [1]
				{
					["feature"] = "base_default",
					["h"] = 36,
					["version"] = 1,
					["w"] = 36,
					["alpha"] = 1,
				}, -- [2]
				{
					["cdFont"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "CENTER",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 12,
					},
					["cdTimerType"] = "COOLDOWN&TEXT",
					["cdoffy"] = -27,
					["feature"] = "texture_cooldown",
					["h"] = 36,
					["ButtonSkinOffset"] = 0,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["externalButtonSkin"] = "Builtin:bs_default",
					["texture"] = {
						["blendMode"] = "MOD",
						["path"] = "",
					},
					["cdTxtType"] = "Largest",
					["owner"] = "Base",
					["w"] = 36,
					["name"] = "tCool",
					["version"] = 1,
					["cdoffx"] = 0,
					["tex"] = "spellTimerTexture",
					["cdGfxReverse"] = 1,
					["timerVar"] = "spellTimer",
					["cdHideTxt"] = "0",
				}, -- [3]
				{
					["cleanupPolicy"] = 2,
					["owner"] = "Base",
					["w"] = 36,
					["feature"] = "texture",
					["h"] = 36,
					["name"] = "Icon",
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["version"] = 1,
					["drawLayer"] = "ARTWORK",
					["texture"] = {
						["color"] = {
							["a"] = 1,
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
						["blendMode"] = "ADD",
					},
				}, -- [4]
				{
					["feature"] = "shader_applytex",
					["owner"] = "Icon",
					["version"] = 1,
					["var"] = "spellTimerTexture",
				}, -- [5]
				{
					["feature"] = "shaderTex_showhide",
					["owner"] = "Icon",
					["version"] = 1,
					["flag"] = "true",
				}, -- [6]
			},
		},
		["infoAuthorRealm"] = "Gurubashi",
		["TemplateWindow"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: None",
				}, -- [1]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytCombatIcons:TemplateUnit",
				}, -- [2]
				{
					["feature"] = "layout_single_unitframe",
					["interval"] = 0.1,
					["version"] = 1,
					["unit"] = "player",
				}, -- [3]
				{
					["interval"] = 0.1,
					["feature"] = "Event: Periodic Repaint",
					["slot"] = "RepaintAll",
				}, -- [4]
			},
		},
		["infoRunAutoexec"] = 1,
	},
-- End Export Data for BytCombatIcons
-- End RDX Data Export
        };
});
